module reg_file
#(parameter BITS = 32)
(
	input clock, write_enable,
	input [BITS-1:0] dc,
	input [4:0] ra,rb,rc,
	output [BITS-1:0] qa,qb
);

reg [BITS-1:0] r[0:31];

initial
begin
	$readmemh("reg_init.txt", r);
end

always @(posedge clock)
	if (write_enable && rc) r[rc] <= dc;
	
assign qa = r[ra];
assign qb = r[rb];

//		da <= (ra? r[ra]: 0);
//		db <= (rb? r[rb]: 0);


endmodule			